MONGOC_CLIENT_GET_DATABASE_NAMES(3)

NAME
mongoc_client_get_database_names - mongoc_client_get_database_names()

SYNOPSIS

char **
mongoc_client_get_database_names (mongoc_client_t *client, bson_error_t *error)
   BSON_GNUC_WARN_UNUSED_RESULT
   BSON_GNUC_DEPRECATED_FOR (mongoc_client_get_database_names_with_opts);

DEPRECATED

This function is deprecated and should not be used in new code.

Please use mongoc_client_get_database_names_with_opts() instead.

DESCRIPTION

This function queries the MongoDB server for a list of known databases.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If retryreads is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

PARAMETERS

•   client: A mongoc_client_t.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A NULL terminated vector of NULL-byte terminated strings. The result should be freed with bson_strfreev().

NULL is returned upon failure and error is set.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc